<template>
  <div>
    <header>
      <b-navbar toggleable="md">
        <b-navbar-brand :to="'/'">
          <div class="d-inline-block align-top" style="height: 25px;">
            <FleetLogo />
          </div>
          Fleet Manager
        </b-navbar-brand>

        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

        <b-collapse id="nav-collapse" is-nav>
          <b-navbar-nav>
            <b-nav-item :to="'/fleet'">Fleet</b-nav-item>
            <b-nav-item-dropdown text="Salt">
              <b-dropdown-item :to="'/salt/minions'">Minions</b-dropdown-item>
            </b-nav-item-dropdown>
            <b-nav-item :to="'/sessions'">Sessions</b-nav-item>
          </b-navbar-nav>
        </b-collapse>

        <b-navbar-nav class="ml-auto">
          <b-nav-item href="/admin"
            ><b-icon icon="wrench" variant="warning"></b-icon
          ></b-nav-item>
        </b-navbar-nav>
      </b-navbar>
    </header>
    <main>
      <b-container fluid>
        <Nuxt />
      </b-container>
    </main>
    <footer class="footer mt-auto py-3">
      <b-container muted>
        Developed by <b-link href="https://prologin.org">Prologin</b-link> under
        the
        <b-link
          href="https://gitlab.com/prologin/tech/services/fleet-manager/-/blob/main/LICENSE"
        >
          GNU AGPLv3
        </b-link>
        license.
      </b-container>
    </footer>
  </div>
</template>
